summaryrefslogtreecommitdiff
path: root/dev-python/pytest-env
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-07-22 03:04:36 -0500
committerroot <root@alpha.trunkmasters.com>2026-07-22 03:04:36 -0500
commit63ccd2e4ddd6295605ea83ff6f5e2337785496e5 (patch)
treec2e8b95c36b14703e41de0de4fe7cb686ee24eea /dev-python/pytest-env
parent805088e14f2164ec415b97288657da8492869f97 (diff)
downloadbaldeagleos-repo-63ccd2e4ddd6295605ea83ff6f5e2337785496e5.tar.gz
baldeagleos-repo-63ccd2e4ddd6295605ea83ff6f5e2337785496e5.tar.xz
baldeagleos-repo-63ccd2e4ddd6295605ea83ff6f5e2337785496e5.zip
Adding metadata
Diffstat (limited to 'dev-python/pytest-env')
-rw-r--r--dev-python/pytest-env/Manifest2
-rw-r--r--dev-python/pytest-env/pytest-env-1.7.0.ebuild38
2 files changed, 40 insertions, 0 deletions
diff --git a/dev-python/pytest-env/Manifest b/dev-python/pytest-env/Manifest
index 9e95a5c83652..83616badeef3 100644
--- a/dev-python/pytest-env/Manifest
+++ b/dev-python/pytest-env/Manifest
@@ -1,2 +1,4 @@
DIST pytest_env-1.6.0.tar.gz 16163 BLAKE2B eb7c69bbc6dbf6acbe4638984e58a1142639a143c915011b2ed14a55f7030ebd688e6781bbfbe61b2e304756619970ca1c8d90cfaade0be0ed49a504bf1bd9b5 SHA512 3b5e0dc01654dd56497c45e03e4372c9f1be193ef3210ed1a48a09b20f4033e6f1a62fcfbf726dd43c1a4eed4e1f26095c3f1c1b510d428690e2e7349f228ea6
DIST pytest_env-1.6.0.tar.gz.provenance 9475 BLAKE2B e1aac6bf68473e1e74fb0d23bbc37dc7c5c0b429124df164985e8523bdfe50491ff4a6faadc404393f8bd44b45ec8b48f825f6482bc21606466d6d8a4b7db770 SHA512 023891954a67fb254ae5277d74c78e7f3218ca315b672883d7156687879ca24b69bc2b8dc1f887d80ac125b9c434300af3645fce5c2e4eb06805ef395d9ac869
+DIST pytest_env-1.7.0.tar.gz 16408 BLAKE2B ff03e9124d518523018e699205b7629dde5e8c72a1392a0ff215cd9abb890bfce8917c9bdc95746423205df3c37513b739fab40a39a1175e755cbeb6374e9167 SHA512 071eead1a149ae1a3fb219e8573a8faa5f185550bff8d2216d56b3a69e71dc34385cf8a6fc771352a82b3e25a3d7311fd92c65c91ebf1e8022095ade5e2052b4
+DIST pytest_env-1.7.0.tar.gz.provenance 9812 BLAKE2B 864808526fd573d78c2552b5716f44143d1b1de8c02a5e0a9b98c817365e10e55075f96ab59da456d2c20de697a4b32dec53edcb232936250a8b56af5613b494 SHA512 26233daa7206e899b8baf36a3590bc2ef0a7d8fb2931e01d8555c51a8a6c9aadd1dc92b4271298665adec65038f19b29c1ac8b070c262a9494b06fa9bbae2827
diff --git a/dev-python/pytest-env/pytest-env-1.7.0.ebuild b/dev-python/pytest-env/pytest-env-1.7.0.ebuild
new file mode 100644
index 000000000000..91585a3371ef
--- /dev/null
+++ b/dev-python/pytest-env/pytest-env-1.7.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYPI_VERIFY_REPO=https://github.com/pytest-dev/pytest-env
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="pytest plugin that allows you to add environment variables"
+HOMEPAGE="
+ https://github.com/pytest-dev/pytest-env/
+ https://pypi.org/project/pytest-env/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/python-dotenv-1.2.2[${PYTHON_USEDEP}]
+ >=dev-python/pytest-9.0.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/hatch-vcs-0.3[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=( pytest-mock )
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # upstream lower bounds are meaningless
+ sed -i -e 's:>=[0-9.]*::' pyproject.toml || die
+}